%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}
%define __debug_install_post %{mingw32_debug_install_post}

Name:           mingw-libp11
Version:        0.2.8
Release:        4%{?dist}
Summary:        MingGW Windows libp11 library

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.opensc-project.org/libp11
Source0:        http://www.opensc-project.org/files/libp11/libp11-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 53
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libltdl
BuildRequires:  mingw32-openssl
BuildRequires:  pkgconfig


%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

This is the MinGW cross-compiled Windows library.


%package -n mingw32-libp11
Summary:        MingGW Windows libp11 library
Requires:       pkgconfig

%description -n mingw32-libp11
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

This is the MinGW cross-compiled Windows library.


%{?mingw32_debug_package}


%prep
%setup -q -n libp11-%{version}


%build
%{mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Remove documentation from a wrong place.
# We install it with %%doc instead.
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}/libp11

# The .def files aren't interesting for other packages
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libp11-2.dll.def

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-libp11
%doc COPYING NEWS
%{mingw32_bindir}/libp11-2.dll
%{mingw32_libdir}/libp11.dll.a
%{mingw32_libdir}/pkgconfig/*
%{mingw32_includedir}/*


%changelog
* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.2.8-4
- Renamed the source package to mingw-libp11 (RHBZ #800920)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags
- Dropped .la and .def files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.2.8-3
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 15 2011 Kalev Lember <kalev@smartlink.ee> - 0.2.8-1
- Update to 0.2.8

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 02 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.7-2
- Rebuilt with new mingw32-libltdl

* Wed Nov 25 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.7-1
- Update to 0.2.7

* Sat Sep 19 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-4
- Rebuilt to fix debuginfo

* Sun Aug 30 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-3
- Rebuilt with new mingw32-openssl

* Sun Aug 23 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-2
- Automatically generate debuginfo subpackage

* Sat Aug 22 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.6-1
- Update to 0.2.6
- Use INSTALL="install -p" to preserve timestamps

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 25 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.4-1
- Initial RPM release.
